#include <stdio.h>
#include <wiringPi.h>
#include <wiringPiI2C.h>

#define  I2CER1001_ADR               (0x10)

int  I2CER1001_Init(unsigned char adr)
{
  int fh; 

  fh = wiringPiI2CSetup(adr);
   
  return (fh);    
}

int  I2CER1001_Rd (int fh, unsigned char* data)
{
    int nbytes;
    
    nbytes = wiringPiI2CRawRead(fh, data, 1);

  return (nbytes);
} 

void  I2CER1001_Wr (int fh, unsigned char data)
{
	wiringPiI2CRawWrite(fh, &data, 1);
	
	return;
}

int main(void)
{
   int fh;
   int nbytes;
   unsigned char data;
   unsigned char i;
   
   fh = I2CER1001_Init(I2CER1001_ADR);
   
   i = 0;
   
   while(1) {      
      I2CER1001_Wr(fh, i);
      delay(300);                                     /* each loop must have time at least 200ms */
      
      nbytes = I2CER1001_Rd(fh, &data);
      if (nbytes) {
		 printf("%d\n",data);
	  } else {
	     printf("Reading fails\n");
	  }
	  
	  i++;
	  if (i > 10) {
	     i = 0;
	  }
      }
   
   return (0);
}

